Bug 1268967 - Environment path created through button on 1C persists, shows when you try to create another one
Environment path created through button on 1C persists, shows when you try to...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: WebUI (Show other bugs)
1.0
Unspecified Unspecified
high Severity unspecified
: TP2
: 1.0
Assigned To: jmagen@redhat.com
Dave Johnson
: Triaged
Depends On:
Blocks: rhci-sprint-12
  Show dependency treegraph
 
Reported: 2015-10-05 14:30 EDT by Matt Reid
Modified: 2016-10-03 15:29 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-03 15:29:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Reid 2015-10-05 14:30:59 EDT
Description of problem:
The environment path created through the button on 1C persists, and if you try to create another one, the old name is in the dialog when it opens.

Version-Release number of selected component (if applicable):
Tech Preview

Additional info:
Also filed in Trello.
Comment 1 cchase 2015-11-03 16:43:50 EST
https://github.com/fusor/fusor/pull/448
Comment 2 Antonin Pagac 2016-01-11 04:13:53 EST
Reproduced.

Version-Release number of selected component (if applicable):
RHCI-6.0-RHEL-7-20160107.t.1-RHCI-x86_64-dvd1.iso
Firefox 43.0.3

How reproducible:
Always

Steps to Reproduce:
1. Create a new deployment. It should not matter what product you choose
2. Filling in all required data, go to step 1C
3. Click 'New Environment Path' button
4. Fill in the Environment Name, click Submit
5. Click the 'New Environment Path' button again
6. The name previously filled-in is in the dialog window

Actual results:
The old name of the environment stays in the dialog window

Expected results:
The dialog box should be empty, just like when creating first environment path
Comment 3 jmagen@redhat.com 2016-01-14 04:03:53 EST
fixed https://github.com/fusor/fusor/pull/623
Comment 4 Antonin Pagac 2016-01-25 07:07:03 EST
Verified.

TP2 RC3
RHCI-6.0-RHEL-7-20160122.t.1-RHCI-x86_64-dvd1.iso

Note You need to log in before you can comment on or make changes to this bug.